> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bleeprs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message

> Send Message

<Tip>
  Ensure the Sender ID Or Template have been pre-approved for the coverage
  before attempting to send a message.
</Tip>


## OpenAPI

````yaml POST /sendMessage
openapi: 3.0.3
info:
  title: Bleeprs API Specification 0.1
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.bleeprs.com/api
security:
  - bearerAuth: []
paths:
  /sendMessage:
    post:
      tags:
        - Messages
      summary: Send Message
      description: Send Message
      operationId: sendMessage
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  description: >-
                    A copy of this message can be sent to these email addresses.
                    **(attarcts extra cost)**
                  items:
                    type: string
                    example: sam@bleeprs.com
                  example:
                    - sam@bleeprs.com
                    - john@bleeprs.com
                isBulk:
                  type: boolean
                  description: '`Enable` or `Disable` if this meessage is bulk or not'
                  example: false
                messageBody:
                  type: string
                  description: Message body with expected number of characters
                  example: Hey there
                phoneBookId:
                  type: number
                  description: Phonebook ID must be passed if `isBulk` is set to `true`
                  example: 4
                receiverNumber:
                  type: string
                  description: Target phone number for delivery
                  example: '15678909999'
                senderId:
                  type: string
                  description: Pre-approved sender id based on the region and route
                  example: SUPERHUMAN
                sendtoEmail:
                  type: boolean
                  description: If message should be sent to email or not
                  example: true
                subject:
                  type: string
                  description: The subject of the email if `sendtoEmail` is set to `true`
                  example: Thanks for Applying
                template:
                  type: object
                  description: >-
                    This section becomes effective if `templateInUse` is set to
                    `true`
                  properties:
                    indexes:
                      type: array
                      description: The required parameters for encapsulating the template
                      items:
                        type: string
                        example: Samuel
                      example:
                        - Benson
                        - Germany
                    templateId:
                      type: string
                      description: The template ID
                      example: BLR_TID_IbZprJAfeSwsBdMJBfkv
                templateInUse:
                  type: boolean
                  description: Used if the message should be sent using a template
                  example: true
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````